Last Comment Bug 525638 - Add support for Firebug
: Add support for Firebug
Status: VERIFIED FIXED
[firebug-p3]
: fixed-seamonkey2.0.1
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: seamonkey2.1a1
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
Mentors:
http://code.google.com/p/fbug/issues/...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-31 07:13 PDT by Jens Hatlak (:InvisibleSmiley)
Modified: 2009-12-02 03:41 PST (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
add isTargetAFormControl [Checkin: comment 2] (1.73 KB, patch)
2009-10-31 07:13 PDT, Jens Hatlak (:InvisibleSmiley)
neil: review+
neil: superreview+
iann_bugzilla: approval‑seamonkey2.0.1+
Details | Diff | Splinter Review
add SM overlays (2.93 KB, patch)
2009-10-31 07:19 PDT, Jens Hatlak (:InvisibleSmiley)
no flags Details | Diff | Splinter Review

Description Jens Hatlak (:InvisibleSmiley) 2009-10-31 07:13:56 PDT
Created attachment 409509 [details] [diff] [review]
add isTargetAFormControl [Checkin: comment 2]

I think many people (including me, obviously) would like to have a SM2-compatible Firebug. I created this bug to track the changes on both sides, i.e. Firebug and SeaMonkey. Since this is one of the most important extensions for web developers I'd like to have it rather sooner than later, i.e. we should try to have this ready for SM 2.0.1 (or .2, ...) and not wait for SM 2.1.

For initial support, adding an overlay line is enough (see URL on this bug; I used Firebug 1.5X.0b1). Adding menuitems to View and Tools is also quite easy, I'll attach a patch for that shortly. Once those three have been addressed, most things already work. One notable exception is the context menu which is broken. I found this on the Error Console:

Error: this.isTargetAFormControl is not a function
Source file: chrome://firebug/content/editorToContextMenu.js
Line: 34

This tries to access an nsContextMenu member function which is not available in SM yet. I'd like to add it for SM 2.0.1 to achieve Firebug support without them having to add duplicate code just to support us (actually, if I were them, I'd reject any such suggestion, too). If someone feels that we should make use of that new function ourselves I suggest to move that discussion to another bug; a lengthy discussion here will only push back the availability of Firebug for SeaMonkey.
Comment 1 Jens Hatlak (:InvisibleSmiley) 2009-10-31 07:19:23 PDT
Created attachment 409510 [details] [diff] [review]
add SM overlays
Comment 3 Serge Gautherie (:sgautherie) 2009-11-01 01:24:36 PDT
(In reply to comment #0)
> I think many people (including me, obviously) would like to have a
> SM2-compatible Firebug.

Ftr, at EU MozCamp 2009 (Prague), I talked with the one (= Honza !?) who did the Firebug session, about looking forward to this ... and slowly starting to wonder if/when SM should package Firebug/ChromeBug instead of Venkman ;-)
Though I have not yet used either of the latters.
Comment 4 Serge Gautherie (:sgautherie) 2009-11-01 01:26:40 PDT
(In reply to comment #3)

Hum: "the latters" == FB+CB.
Comment 5 John J. Barton 2009-11-01 08:45:00 PST
Chromebug requires Firebug, so getting Firebug to work is a great first step. We have new support for anonymous elements in Gecko, so Chromebug should be able to deal with XBL soon. Then there are only two significant issues: Chromebug uses some 'browser' UI files not present in other platforms and it is probably missing a few features (though it also has many you don't get in DOMi + venkman).
Comment 6 Rob Campbell [:rc] (:robcee) 2009-11-02 05:08:06 PST
adding a firebug tag to the whiteboard so this shows up in triage.
Comment 7 Robert Kaiser 2009-11-03 10:31:56 PST
adding fixed-seamonkey2.0.1 keyword to not show up in the "approved but not checked in" query for 2.0.1
Comment 8 Jens Hatlak (:InvisibleSmiley) 2009-11-12 09:13:01 PST
Comment on attachment 409510 [details] [diff] [review]
add SM overlays

The changes from the Firebug patch have been applied upstream (see URL on this bug).
Comment 9 Jens Hatlak (:InvisibleSmiley) 2009-11-12 09:17:56 PST
Marking fixed. Thanks John! Someone (other than me, probably) should mark it VERIFIED once a Firebug version with the changes is released. Please keep in mind that a recent SM 2.0.1pre nightly is needed for a successful test.
Comment 10 Jens Hatlak (:InvisibleSmiley) 2009-11-19 03:20:37 PST
Fixed in stock Firebug 1.5.0b4, marking VERIFIED (using current 2.0.1pre nightly).

Note: Filed http://code.google.com/p/fbug/issues/detail?id=2498 for the non-working Open Firebug in New Window.
Comment 11 aran 2009-11-28 09:22:14 PST
Have installed this nightly build of Seamonkey on my Laptop here
It is the newest at the moment and it works great on my Laptop
http://ftp.mozilla.org/pub/mozilla.org/seamonkey/nightly/latest-comm-1.9.1/seamonkey-2.0.1pre.en-US.linux-i686.tar.bz2

Have tryed to install and run the Firebug version that was confirmed to work
with Seamonkey 2.0.1 from here.
For some reason Seamonkey fails to install and run the extension that worked before in Seamonkey.
http://getfirebug.com/releases/firebug/1.5X/firebug-1.5X.0b4.xpi


Please fix this Bug if possible!
Comment 12 Pavel Cvrcek [:JasnaPaka] 2009-11-28 10:07:14 PST
This bug is marked as fixed. Please fill new bug if you think that something is wrong.
Comment 13 Jens Hatlak (:InvisibleSmiley) 2009-11-28 10:31:44 PST
Removed wanted‑seamonkey2.1 flag request since the SM part (which was only for proper context menu support anyway) has already landed. Whatever needs to be done in addition (e.g. see comment 10) will either be completely on the Firebug side or, in case an SM change is needed, requires a new bug.

@aran: Just tried with a current SM 2.0.1pre nightly in a Kubuntu 8.04.1 (Linux) VM, a fresh profile and the Firebug link you provided. Worked like a charm. If it really doesn't work for you you need to at least be more specific (error message? What does the Add-on Manager show? Tried with a fresh profile?).
Comment 14 aran 2009-12-02 03:41:20 PST
Jens Hatlak !

You are great !
Thanks a lot for veryfication that for you it worked !

Just after reading your comment i have reinstalled everything and for my surprise Firebug works now in Seamonkey.
It must be some profile problem maybe also with the older version of Seamonkey 1.8.

You cant imagine how much i have missed this plugin in Seamonkey.

Really Great Work People !

Note You need to log in before you can comment on or make changes to this bug.